Subject: bug#64786: closed (Re: bug#64786: [PATCH]: services: databases: add option to specify UID / GID for the postgres user)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 16 Aug 2023 20:45:02 +0000

Your bug report

#64786: [PATCH]: services: databases: add option to specify UID / GID for the postgres user

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64786: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64786
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64786: [PATCH]: services: databases: add option to specify UID / GID for the postgres user
From: Ludovic Courtès <[email-masked]>
To: Martin Baulig <[email-masked]>
Cc: [email-masked]
Date: Wed, 16 Aug 2023 22:44:22 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Martin,

Martin Baulig <[email-masked]> skribis:

> From ae2534f6cc8611483a11f7a934777a03bd194a27 Mon Sep 17 00:00:00 2001
> From: Martin Baulig <[email-masked]>
> Date: Mon, 17 Jul 2023 18:13:42 -0400
> Subject: [PATCH] services: databases: Add option to specify UID / GID for
>  postgres user.
>
> Add 'createAccount?', 'uid' and 'gid' to <postgresql-configuation>.
>
> Unlike other system daemons, the PostgreSQL data directory is typically
> meant to persist across 'guix system reconfigure' and once created, you
> don't want it's UID or GID to change anymore.
>
> Furthermore, if you want to place the data directory on a network share
> and use NFSv4 with idmap, then the 'postgres' user must exist when the
> 'rpc.idmapd' daemon is launched; prior to mounting the share.  And it
> needs to be possible to mount the share without configuring PostgreSQL.
>
> With NFSv3, the UID and GID typically needs to match those on the
> server.
>
> The added options allow for both of these scenarios:
>
> You can either create the user in (operating-system (users)) completely
> independently of the 'postgresql-service-type' (for instance to get your
> NFS setup working first prior to configuring your databases) - or "pin"
> it's UID / GID values.

This look very useful.  I wish this situation could be handled in a more
automatic way somehow, but at least this patch lets admins handle it
“manually” as you write, and that’s a great improvement.

I expanded the commit log to match the conventions as noted in
<https://guix.gnu.org/manual/devel/en/html_node/Submitting-Patches.html>
and applied it.

Thank you, and welcome!

Ludo’.

Subject: [PATCH]: services: databases: add option to specify UID / GID for the postgres user
From: Martin Baulig <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 22 Jul 2023 00:27:19 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

This is my first contribution to GNU Guix, and I hope this patch is in the correct format.

Attached is a small patch to gnu/services/databases.scm that adds an option to explicitly
specify the UID / GID for the postgres user, as well as an option not to create the service
account at all.

I added some documentation as well and provided a detailed reasoning and background
in the commit message.

Hope this is useful and looking forward to hearing back to you,

Martin